timeout=10
maxram=1000000
for file in `seq -f 'formula_%03.f.m' 1 300` ;
do
echo $file
output=benchmarks${timeout}.dat
echo '###' $file >> $output
#(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m %U %x" ../../../trunk/mjollnir $file)
#(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-fr %U %x" ../../../trunk/mjollnir --action qelim-fr $file)
#(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-lw %U %x" ../../../trunk/mjollnir --action qelim-lw $file)
#(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m/full %U %x" ../../../trunk/mjollnir --minimize sequential --full-simplify $file)
#(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m/full+divide %U %x" ../../../trunk/mjollnir --minimize divide --full-simplify $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2 %U %x" ../../../trunk/mjollnir --sort-atoms none --minimize sequential --action qelim-m2 $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+divide %U %x" ../../../trunk/mjollnir --sort-atoms none --minimize divide --action qelim-m2 $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+small %U %x" ../../../trunk/mjollnir --sort-atoms small-first --minimize sequential --action qelim-m2 $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+divide+small %U %x" ../../../trunk/mjollnir --sort-atoms small-first --minimize divide --action qelim-m2 $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+large %U %x" ../../../trunk/mjollnir --sort-atoms large-first --minimize sequential --action qelim-m2 $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+divide+large %U %x" ../../../trunk/mjollnir --sort-atoms large-first --minimize divide --action qelim-m2 $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+shuffle %U %x" ../../../trunk/mjollnir --sort-atoms shuffle --minimize sequential --action qelim-m2 $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m2+divide+shuffle %U %x" ../../../trunk/mjollnir --sort-atoms shuffle --minimize divide --action qelim-m2 $file)


(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m %U %x" ../../../trunk/mjollnir --sort-atoms none --minimize sequential --action qelim-m $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+divide %U %x" ../../../trunk/mjollnir --sort-atoms none --minimize divide --action qelim-m $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+small %U %x" ../../../trunk/mjollnir --sort-atoms small-first --minimize sequential --action qelim-m $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+divide+small %U %x" ../../../trunk/mjollnir --sort-atoms small-first --minimize divide --action qelim-m $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+large %U %x" ../../../trunk/mjollnir --sort-atoms large-first --minimize sequential --action qelim-m $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+divide+large %U %x" ../../../trunk/mjollnir --sort-atoms large-first --minimize divide --action qelim-m $file)

(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+shuffle %U %x" ../../../trunk/mjollnir --sort-atoms shuffle --minimize sequential --action qelim-m $file)
(ulimit -v $maxram -t $timeout ; /usr/bin/time -a -o $output -f "$file qelim-m+divide+shuffle %U %x" ../../../trunk/mjollnir --sort-atoms shuffle --minimize divide --action qelim-m $file)

done
